

`make allmodconfig' is currently trying to rebuild the wanxl card's firmware,
which generates a build failure if you don't have as68k installed.

Fix that up by requiring that the user set CONFIG_M68K_TOOLCHAIN.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/wan/Kconfig |    2 +-
 25-akpm/init/Kconfig            |    9 +++++++++
 2 files changed, 10 insertions(+), 1 deletion(-)

diff -puN init/Kconfig~wanxl-firmware-build-fix init/Kconfig
--- 25/init/Kconfig~wanxl-firmware-build-fix	Tue Jun  8 14:42:53 2004
+++ 25-akpm/init/Kconfig	Tue Jun  8 14:46:36 2004
@@ -50,6 +50,15 @@ config STANDALONE
 
 	  If unsure, say Y.
 
+config M68K_TOOLCHAIN
+	bool "Enable selection of firmware which requires an m68k toolchain"
+	default n
+	help
+	  Select this option if you have the as68k, ld68k and hexdump programs
+	  and wish to rebuild m68k assembly-language firmware (wanxl uses this)
+
+	  If unsure, say N.
+
 config BROKEN
 	bool
 	depends on !CLEAN_COMPILE
diff -puN drivers/net/wan/Kconfig~wanxl-firmware-build-fix drivers/net/wan/Kconfig
--- 25/drivers/net/wan/Kconfig~wanxl-firmware-build-fix	Tue Jun  8 14:42:53 2004
+++ 25-akpm/drivers/net/wan/Kconfig	Tue Jun  8 14:45:34 2004
@@ -248,7 +248,7 @@ config WANXL
 
 config WANXL_BUILD_FIRMWARE
 	bool "rebuild wanXL firmware"
-	depends on WANXL
+	depends on WANXL && M68K_TOOLCHAIN
 	help
 	  Allows you to rebuild firmware run by the QUICC processor.
 	  It requires as68k, ld68k and hexdump programs.
_
